"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RuleError = void 0;
const graphql_1 = require("graphql");
class RuleError extends graphql_1.GraphQLError {
    options;
    constructor(message, options) {
        super(message, options);
        this.name = "RuleError";
        Object.defineProperty(this, "options", { value: options });
    }
    toJSON() {
        return {
            ...super.toJSON(),
            infraction: this.options.infraction,
            operationName: this.options.operationName,
            operationCoordinates: this.options.operationCoordinates,
            override: this.options.override,
        };
    }
}
exports.RuleError = RuleError;
